Ubuntu

Suspend and hibernate not working in 13.04/13.10 with alx module

Reported by Omk on 2013-04-28
226
This bug affects 49 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Steve Conklin
Precise
Undecided
Unassigned
Raring
Undecided
Unassigned
Saucy
Medium
Steve Conklin
pm-utils (Ubuntu)
Undecided
Martin Pitt
Precise
Undecided
Unassigned
Raring
Undecided
Martin Pitt
Saucy
Undecided
Martin Pitt

Bug Description

Description: Ubuntu 13.04
Release: 13.04

After upgrading to 13.04 suspend and hibernate do not work.
In terminal window following error is displayed: "PM: Some devices failed to suspend". Then the suspend fails and the screensaver gets activated, requiring a password to unlock.

dmesg

[ 893.962025] PM: Syncing filesystems ... done.
[ 894.030726] Freezing user space processes ... (elapsed 0.01 seconds) done.
[ 894.047580] Freezing remaining freezable tasks ... (elapsed 0.01 seconds) done.
[ 894.064140] Suspending console(s) (use no_console_suspend to debug)
[ 894.071511] sd 0:0:0:0: [sda] Synchronizing SCSI cache
[ 894.085881] alx 0000:03:00.0: PHY SPD/DPLX unresolved :ffff
[ 894.085884] alx 0000:03:00.0 eth1: shutown err(ffffffea)
[ 894.085886] alx 0000:03:00.0: shutdown fail in suspend -5
[ 894.085901] pci_pm_suspend(): alx_suspend+0x0/0x90 [alx] returns -5
[ 894.085906] dpm_run_callback(): pci_pm_suspend+0x0/0x140 returns -5
[ 894.085908] PM: Device 0000:03:00.0 failed to suspend async: error -5
[ 894.111147] sd 0:0:0:0: [sda] Stopping disk
[ 894.684692] PM: Some devices failed to suspend
[ 894.684903] ath: phy0: ASPM enabled: 0x43
[ 894.685198] sd 0:0:0:0: [sda] Starting disk
[ 895.442853] PM: resume of devices complete after 758.396 msecs
[ 895.443224] Restarting tasks ... done.
[ 895.445509] video LNXVIDEO:00: Restoring backlight state
---
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
DistroRelease: Ubuntu 13.04
InstallationDate: Installed on 2012-12-20 (166 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MarkForUpload: True
Package: pm-utils 1.4.1-9git1
PackageArchitecture: all
ProcVersionSignature: Ubuntu 3.8.0-19.29-generic 3.8.8
Tags: raring
Uname: Linux 3.8.0-19-generic x86_64
UpgradeStatus: Upgraded to raring on 2013-04-28 (37 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

SRU INFORMATION
---------------
* Impact: suspend regression in 13.04 with Qualcomm Atheros Gigabit ethernet devices
* Test case: Suspend is broken in current raring when the alx module is loaded, should work again with the fix; needs to be tested on actual hardware, see comment 56 for positive testing result that this pm-utils workaround works.
* Regression potential: If the script is malformed, it could potentially break suspend on other devices; this should generate an error in /var/log/pm-suspend.log. Please test suspend on devices without the alx module as well (for the record, Martin Pitt did that on his ThinkPad X201)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Atle Weibell (atle-weibell) wrote :

Just for clarification: by "Screen is locked" I assume Arjuna means that user needs to type password to unlock, not that the system freezes. At least that is how it appears on my ThinkPad W530.

Omk (ossi-viljakainen) on 2013-04-30
description: updated
Omk (ossi-viljakainen) wrote :

Thansks,
I tried this - but it does not help at all. Your solution disables suspend and hibernate functions, so it does not even try to suspend after that change. The author of that had problem with his machine freezing and his solution is to disable the offensive function. I do _not_ want disable, I need it daily and I want it to work.

This bug is extremely irritating and frustrating - I'm constantly on the go, and now I can no longer suspend my laptop and continue my work at the new location, but have to reboot each time. Back to the 90's!

Christopher Townsend (townsend) wrote :

Hi,

This is due to the Atheros Gigabit Ethernet alx driver not behaving correctly for suspending and hibernating. I'm going to make this a kernel bug and Invalidate the Unity bug.

Changed in unity (Ubuntu):
status: Confirmed → Invalid
jim warner (james-warner) wrote :

Arjuna,
I should have been more specific.

I don't want or use hibernate. My problem was suspend when my laptop lid was closed. It was obvious from the led indicators that the system had *not* suspended.

By setting <allow_active> to "no" under <action id="org.freedesktop.upower.hibernate"> my system would then suspend when the lid was closed.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1173952

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: raring

I had the same issue and dmesg output that started after I installed ethtool. Uninstalling ethtool allowed my computer to suspend properly again.

max (maxilianus) wrote :

It doesn't even shutting down completely and needs help by holding on the power button every time to it turn off

Same problem here after a fresh install of 13.04.

Omk (ossi-viljakainen) wrote :

I lost my laptop charger, and it is such a new ultrabook charger, that new one is not available anywhere. I had to order new from Korea, and have to wait for 4 weeks to get it. And also, cant open the laptop to access the hardrive, othervise it will void the warranty. So I cannot run the suggested command until I have got the new charger, or found somebody, who can borrow me his/hers.

So please you guys who have this same problem, please run the following command and post the results here.

apport-collect 1173952

Analyser (surf3r0) wrote :

I confirm this bug for dell xps 15 (l502x) laptop. As soon as possible I'll provide my hardware information/logs.

This bugs sucks in so many levels. Its infuriating.

Adamsablich (adamsablich) wrote :

I can confirm that this is a bug for me as well, however this solves the problem:

(sudo) Create a file /etc/pm/config.d/modules with the following content:

SUSPEND_MODULES="alx"

This will force the alx module to be unloaded and reloaded with suspend, and should solve the problem.

ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: sobo 3832 F.... pulseaudio
DistroRelease: Ubuntu 13.04
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=288e3293-145e-4a71-8df3-9f4f792149c9
InstallationDate: Installed on 2013-04-29 (7 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
MachineType: Dell Inc. Vostro 3700
MarkForUpload: True
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-19-generic root=UUID=6f1f292f-9a94-4066-8544-a0a699ad0470 ro "acpi_osi=!Windows 2012" acpi_backlight=vendor quiet splash
ProcVersionSignature: Ubuntu 3.8.0-19.30-generic 3.8.8
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-19-generic N/A
 linux-backports-modules-3.8.0-19-generic N/A
 linux-firmware 1.106
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: raring
Uname: Linux 3.8.0-19-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
WifiSyslog:
 May 7 16:46:02 sobster kernel: [ 2013.975737] usb 2-1.4: USB disconnect, device number 6
 May 7 16:50:16 sobster wpa_supplicant[2304]: wlan0: WPA: Group rekeying completed with 00:24:fe:a6:53:cc [GTK=TKIP]
 May 7 17:00:16 sobster wpa_supplicant[2304]: wlan0: WPA: Group rekeying completed with 00:24:fe:a6:53:cc [GTK=TKIP]
 May 7 17:10:16 sobster wpa_supplicant[2304]: wlan0: WPA: Group rekeying completed with 00:24:fe:a6:53:cc [GTK=TKIP]
dmi.bios.date: 10/25/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A10
dmi.board.name: 0R6NH5
dmi.board.vendor: Dell Inc.
dmi.board.version: A10
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A10
dmi.modalias: dmi:bvnDellInc.:bvrA10:bd10/25/2010:svnDellInc.:pnVostro3700:pvrA10:rvnDellInc.:rn0R6NH5:rvrA10:cvnDellInc.:ct8:cvrA10:
dmi.product.name: Vostro 3700
dmi.product.version: A10
dmi.sys.vendor: Dell Inc.

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Sorry.. I used this apport-tool the very first time. I didn't know it posts a comment for each logfile. But I am not sure which one you might help, so I will leave them here.

I have the same problem: I can't suspend nor hibernate on a Dell laptop. In addition I cant change my screen brightness although i changed my grubconfig as described in many solutions. Maybe these two problems have something in common.

Thomas.

Thomas Telleis (sobolog) wrote :

Workaround from Adamsablich (adamsablich) in comment #13 works for me (after a restart).

Gilad Judes (gilad-7) wrote :

On Lenovo T430
Workaround from Adamsablich (adamsablich) in comment #13 did NOT work for me at first
But after enabling Hibernate , Suspend started to work ...
Or maybe it was the additional restart

Bottom line , working , not touching ...

max (maxilianus) wrote :

As of comment #13, it doesn't work for me with Dell 1525. Before that I've tried every such way, suggested here as well -- https://bugs.launchpad.net/ubuntu/+source/pm-utils/+bug/1157435 . And still the problem persists not only with suspend function but with shutdown to the end. Until 13.04 I've never had anything like this, it just worked

Adamsablich (adamsablich) wrote :

Re: Comment #33:
Are you sure it's your Aetheros Ethernet (alx) driver that is not unloading on suspend?
It's possible that you have another/different driver, and finding the name and forcing it to release might fix your issue.

max (maxilianus) wrote :

Yes, „Unloading kernel module alx...Done“ in pm-suspend.log. I use cable connection (driver=sky2) and even see there how it stops twinkle when I try to suspend and everything freezes, until I push something to start it again as if it was in sleep. How can the problem be in such driver when it doesn't succeed also to shut down completely, after, as well, everything seems to be halted, but the screen, the fan and so.. remain on

Dimitris Damtsas (ddamtsas) wrote :

Having a lot of issues with suspend on 13.04.
Can't wake up after suspending when using nouveau driver (nVidia quadro fx370).
When using every single proprietary driver on the list,the unity launcher looks pixelated(see attachment).

no longer affects: unity
Steve Conklin (sconklin) on 2013-05-10
tags: added: kernel-stable-key
Andreas Poisel (ap) wrote :

Suspend works for me using kernel 3.9 from here: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-raring/

max (maxilianus) wrote :

With kernel 3.9 suspend function works for me as well. Thanks

after upgrading to kernel 3.9 or 3.9.1. the suspend works fine for sometime and sometime it stops working again and I have to keep switching off my laptop all the time and I have noticed that it also happens mostly when VIRTUALBOX is active.

THANK YOU ADAMSABLICH , after trying your posted solution I tried suspending through closing lid, through terminal and through menu for like 10-15 times and it worked without fail even while VIRTUALBOX is active. Hopefully it should keep working this way till the next release of Ubuntu :)

ORIGINAL POST BY ADAMSABLICH.

I can confirm that this is a bug for me as well, however this solves the problem:

(sudo) Create a file /etc/pm/config.d/modules with the following content:

SUSPEND_MODULES="alx"

This will force the alx module to be unloaded and reloaded with suspend, and should solve the problem.

Chris Evans (leftbas) wrote :

This bug affects me, as well. I clicked that link at the top of the page, then tried running 'apport-collect 1173952' in a terminal. But all I get is a browser dialog that says 'You are not the reporter or subscriber of this problem report, or the report is a duplicate or already closed.

Please create a new report using "apport-bug".'

What gives?

Shawn McElroy (shawn-2) wrote :

Is there any update on this, using the apport command I get the same response as #41. also creating the file

/etc/pm/config.d/modules

with the content

SUSPEND_MODULES="alx"

has no effect. after restarting I have no option to suspend/sleep/hibernate or anything in my user menu in the panel, nor in the power system settings. I have a lenovo Y580 laptop dual booting with windows 8. I am not running virtualbox at all.

I have a Lenovo IdeaPad Y400, and have this issue. Since I do not use wired networking at all, I blacklisted the alx module. After doing that I have not had any more issues with suspend / resume.

no longer affects: unity (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
Steve Conklin (sconklin) on 2013-05-21
Changed in linux (Ubuntu):
assignee: nobody → Steve Conklin (sconklin)
Martin Pitt (pitti) on 2013-05-22
summary: - Suspend and hibhernate not working in 13.04
+ Suspend and hibhernate not working in 13.04 with alx module
Steve Conklin (sconklin) on 2013-05-22
Changed in linux (Ubuntu):
status: Incomplete → Invalid
Martin Pitt (pitti) wrote :

Can you please download this attachment to /tmp, then install it with

  sudo cp /tmp/50unload_alx /usr/lib/pm-utils/sleep.d

and try a suspend/resume? Please tell me if that works correctly, or if you still see problems with this.

Changed in pm-utils (Ubuntu):
status: New → Incomplete
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

Ping?

Hello Martin,

Sorry, I'm kinda lost on this launchpad. Are you talking to me?

Kindly,

On Tue, Jun 4, 2013 at 2:20 AM, Martin Pitt <email address hidden> wrote:

> Ping?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1173952
>
> Title:
> Suspend and hibhernate not working in 13.04 with alx module
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1173952/+subscriptions
>

--
Leonardo M. N. de Mattos
     www.mattos.eng.br

Analyser, if you feel able to do the steps in #45 and see whether that fixes the bug, I'd appreciate.

Omk (ossi-viljakainen) wrote :

Finally I got a new charger for my laptop. Will review this discussion and do the suggested tests & report back here, hopefully tomorrow.

apport information

description: updated

apport information

Pitti, I dowloaded and followed your instructions in #45, rebooted and still cannot suspend. So your script made no difference.

Omk (ossi-viljakainen) wrote :

And now tried the workaround in #13 - and that worked wonders! Thanks Adamsablich! :)

Martin Pitt (pitti) wrote :

Arjuna, my script should apply the exact workaround from comment #13. Can you please apply my script, unapply the workaround, suspend once, and then attach /var/log/pm-suspend.log here? Thanks!

Omk (ossi-viljakainen) wrote :

I applied your script again, and found that I had done saving error, my editor had added .txt in the filename, which I corrected. I unapplied the workaround, rebooted and tried to suspend.

Not working: "Some devices failed to suspend".

pm-suspend.log attached.

Omk (ossi-viljakainen) wrote :

Oh,

/usr/lib/pm-utils/sleep.d/50unload_alx suspend suspend: not executable.

chmod u+x /usr/lib/pm-utils/sleep.d/50unload_alx

And now it is working.

Thanks :)

Martin Pitt (pitti) wrote :

Ah sorry about forgetting the +x bit. Thanks for testing!

Changed in pm-utils (Ubuntu):
status: Incomplete → In Progress
Martin Pitt (pitti) wrote :

Hang on, this was only reported for raring, not precise. It seems this is fixed properly in the kernel in saucy then? There were two reports that it works with the 3.9 kernel now, and one that it only sometimes works. Andreas Poisel, maxilianus, how is your experience with 3.9, did you still get some suspend failures there?

I wonder if I should upload this for raring only, or for saucy as well.

Changed in pm-utils (Ubuntu Precise):
status: New → Invalid
Changed in pm-utils (Ubuntu Raring):
status: New → In Progress
Changed in pm-utils (Ubuntu):
status: In Progress → Incomplete
Martin Pitt (pitti) wrote :

Raring fix uploaded.

description: updated
summary: - Suspend and hibhernate not working in 13.04 with alx module
+ Suspend and hibernate not working in 13.04 with alx module

Hello Arjuna, or anyone else affected,

Accepted pm-utils into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/pm-utils/1.4.1-9git1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pm-utils (Ubuntu Raring):
status: In Progress → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) on 2013-06-21
Changed in pm-utils (Ubuntu Raring):
assignee: nobody → Martin Pitt (pitti)
Changed in pm-utils (Ubuntu):
assignee: Martin Pitt (pitti) → nobody

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Precise):
status: New → Confirmed
Changed in linux (Ubuntu Raring):
status: New → Confirmed
chreko (chreko) wrote :

I just installed pm-utils 1.4.1-9git1ubuntu0.1 and the issue seems to be solved. Suspend and hibernating are now working on my AMD64 machine!

Martin Pitt (pitti) on 2013-06-25
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pm-utils - 1.4.1-9git1ubuntu0.1

---------------
pm-utils (1.4.1-9git1ubuntu0.1) raring; urgency=low

  * debian/sleep.d/50unload_alx: Unload the alx module during suspend.
    (LP: #1173952)
 -- Martin Pitt <email address hidden> Thu, 06 Jun 2013 06:24:01 +0200

Changed in pm-utils (Ubuntu Raring):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

I'm on Ubuntu 13.10 (Saucy) with kernel 3.11 on an Asus S400CA notebook and I do experience this problem, i.e. suspending/resuming works once, but on the second time I get an hard freeze on suspending that can't be recover. Unloading alx module before suspend solves the problem.

Let me know if I should open a new bug report for 13.10.

In case it might be helpful for someone, my workaround for this bug is to put a file (script) named 00_alx_suspend in /etc/pm/sleep.d, with the following content:

#!/bin/sh

case "$1" in
  suspend|hibernate)
    /sbin/rmmod alx
    ;;
  resume|thaw)
    /sbin/rmmod alx
    /sbin/modprobe alx
    ;;
esac
exit 0

In order to make this script executable, just issue this command in a terminal:

sudo chmod 755 /etc/pm/sleep.d/00_alx_suspend

Martin Pitt (pitti) wrote :

Right, we only applied this for 13.04 as I hoped that the kernel would get fixed properly for 13.10. Seems it didn't, so I'll upload the workaround for 13.10 as well.

Changed in pm-utils (Ubuntu Saucy):
status: Incomplete → Fix Committed
assignee: nobody → Martin Pitt (pitti)
Changed in linux (Ubuntu Saucy):
status: Invalid → Confirmed
Changed in linux (Ubuntu Raring):
status: Confirmed → Won't Fix
Changed in linux (Ubuntu Precise):
status: Confirmed → Won't Fix
summary: - Suspend and hibernate not working in 13.04 with alx module
+ Suspend and hibernate not working in 13.04/13.10 with alx module
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pm-utils - 1.4.1-12ubuntu1

---------------
pm-utils (1.4.1-12ubuntu1) saucy; urgency=low

  * debian/sleep.d/50unload_alx: Unload the alx module during suspend.
    (LP: #1173952)
 -- Martin Pitt <email address hidden> Mon, 14 Oct 2013 10:25:46 +0200

Changed in pm-utils (Ubuntu Saucy):
status: Fix Committed → Fix Released
David Daschein (etelero) wrote :

None of the options listed above worked for me.
I have updated kernel to 3.9, installed pm-utils from the link above and created modules file. It just dosent work.
I'm using 13.04 on Sony Vaio vpceh18fg

Botond Szász (boteeka) wrote :

I was running 13.10 pre-release for months, and suspend always worked both by closing the lid or through the menu.
Since yesterday's update it stopped working.

Running on a Lenovo Z580. Kernel 3.11.0-12-generic

The suggestion from comment #66 did work for me if suspend is initiated from the menu. But when initiated by closing the lid, the wakeup takes more than a full boot ( > 20 seconds) and networking stops working until a reboot.

Earendil02 (earendil002) wrote :

I just upgraded my Dell XPS 13 (native Ubuntu with sputnik project) to 13.10 and suspension does not work: with " sudo pm-suspend" or "sudo pm-hibernate" I got absolutely no response, as if I do nothing, while via menu what I obtain is equivalent to "lock screen" i.e. blank screen and requires password to continue.

Earendil02 (earendil002) wrote :

Precisation: previously on 13.04 all worked fine. And closing the lid is now also equivalent to "lock screen" while previously suspended regularly.

rafe101 (rafe101-) wrote :

I'm not sure if this is the same issue or not.

Entering suspend automatically according to timeout and initiating it from the menu do not work since upgrading, but I can suspend from the terminal.

Earendil02 (earendil002) wrote :

After formatting and reinstalling directly 13.10 everything works fine.
Almost fine since hibernation still does not work, but at least suspends fine.

nate met (linuxfan724) on 2013-11-11
Changed in linux (Ubuntu Saucy):
status: Confirmed → In Progress
status: In Progress → Confirmed
nate met (linuxfan724) wrote :

srry bout that didnt mean to do that im a noob :P

Hi,

I am affected by this bug.

My Computer is an Asus UX52VS running an all fresh Ubuntu 13.10 Install.

Running Kernel 3.11 (current 3.11.0-13), if a let the alx module loaded and go to suspend (closing my laptop)
When opening up, i get back the X11 authentication, i can log in then the system totally hangs

Ventirad begins to go in high load (so i guess because of an high CPU load) , sometimes i can access to the terminal (first console) and i can see the message repeated very fast:

 alx 0000:04:00.0: invalid PHY speed/duplex: 0xffff

The only solution is to hard power off the system to recover.

I can reproduce that everytime, if a unload the alx module before suspending everthing works fine...

I can see traces in kern.log:

Nov 18 21:01:59 guilhem-UX52VS kernel: [ 70.009079] iwlwifi 0000:03:00.0: L1 Disabled; Enabling L0S
Nov 18 21:01:59 guilhem-UX52VS kernel: [ 70.015965] iwlwifi 0000:03:00.0: Radio type=0x2-0x1-0x0
Nov 18 21:01:59 guilhem-UX52VS kernel: [ 70.105370] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Nov 18 21:01:59 guilhem-UX52VS kernel: [ 70.108113] alx 0000:04:00.0: irq 49 for MSI/MSI-X
Nov 18 21:01:59 guilhem-UX52VS kernel: [ 70.108348] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
Nov 18 21:01:59 guilhem-UX52VS kernel: [ 70.109175] alx 0000:04:00.0: invalid PHY speed/duplex: 0xffff
Nov 18 21:01:59 guilhem-UX52VS kernel: [ 70.110913] alx 0000:04:00.0: invalid PHY speed/duplex: 0xffff
Nov 18 21:01:59 guilhem-UX52VS kernel: [ 70.112513] alx 0000:04:00.0: invalid PHY speed/duplex: 0xffff
Nov 18 21:01:59 guilhem-UX52VS kernel: [ 70.114340] alx 0000:04:00.0: invalid PHY speed/duplex: 0xffff
Nov 18 21:01:59 guilhem-UX52VS kernel: [ 70.115916] alx 0000:04:00.0: invalid PHY speed/duplex: 0xffff
Nov 18 21:01:59 guilhem-UX52VS kernel: [ 70.117484] alx 0000:04:00.0: invalid PHY speed/duplex: 0xffff

The system hanged when began the message about alx...

Is there any solution or workaround ?

I was expecting to test with kernel 3.12 if the same bug was existing, unfortunately under kernel 3.12 for me th situation is even worst and suspend simply does not work (alx module loaded or unloaded) all i get a black screen but this it an other story -:-)

Blacklisting the alx module "resolves" the issue as far as you don't need any wired connection, but this is a dirty workaround not a solution...

Thank you in advance for your help!

Update: Only Ubuntu Gnome 13.10 is affected in my case, now running Ubuntu 13.10 and suspend works perfectly with alx module loaded.

David Daschein / Botond Szász / Erendil02 / rafe101 / Guilhem Marchand, so your hardware may be tracked, could you please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

tags: added: needs-kernel-logs
Changed in linux (Ubuntu Saucy):
status: Confirmed → Fix Released

Martin Pitt / Steve Conklin, anything else would need to be done for Trusty or may the linux (Ubuntu) task be closed out.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Martin Pitt (pitti) wrote :

I can't check whether trusty's alx kernel module works with suspend now as I don't have the hardware. If anyone wants to try, run

   sudo chmod 0 /usr/lib/pm-utils/sleep.d/50unload_alx

to disable the workaround, then try to suspend/resume. Run

  sudo chmod 755 /usr/lib/pm-utils/sleep.d/50unload_alx

to re-enable the hack.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers